<#ibiztemplate>
FILENAME=${sys.name?lower_case}.${sysrun.getPSDBDevInst().getDBType()?lower_case}.last.sql
PUBOBJ=SysDMItem
MODELS=PSSYSTEM
SQLNAME=${sys.name?lower_case}.${sysrun.getPSDBDevInst().getDBType()?lower_case}
</#ibiztemplate>
<#assign alltype='TABLE|COLUMN|FKEY|INDEX|VIEW'>
<#assign types=alltype?split('|')>
<#list types as type>
<#list sys.getAllPSSysDMItems() as dmitem>
<#if (dmitem.getPSSystemDBCfgId()==item.id) && (dmitem.getDBObjType() == type)>
<#if dmitem.getDropSql()?? && dmitem.getDropSql()?length gt 0>
${dmitem.getDropSql()};
/**分割线**/
</#if>
<#if dmitem.getBeforeCreateSql()?? && dmitem.getBeforeCreateSql()?length gt 0>
${dmitem.getBeforeCreateSql()};
/**分割线**/
</#if>
<#if dmitem.getCreateSql()?? && dmitem.getCreateSql()?length gt 0>
${dmitem.getCreateSql()};
/**分割线**/
</#if>
<#if dmitem.getAfterCreateSql()?? && dmitem.getAfterCreateSql()?length gt 0>
${dmitem.getAfterCreateSql()};
/**分割线**/
</#if>
</#if>
</#list>
</#list>
