<#ibiztemplate>
FILENAME=${item.getPSSysBDScheme().getShortCodeName()}${item.codeName}DAOBase.java
PUBOBJ=SysDEBDTableCode
MODELS=PSDATAENTITY
%PUBPKG%=${pub.getPKGCodeName()?replace('.','/')}
%DEMOD%=${de.getPSSystemModule().codeName?lower_case}
</#ibiztemplate>
package ${pub.getPKGCodeName()}.srv.${de.getPSSystemModule().codeName?lower_case}.badao;

import net.ibizsys.paas.db.IDBDialect;
import net.ibizsys.paas.db.ISelectContext;
import net.ibizsys.paas.core.IDataEntity;
import net.ibizsys.paas.util.StringHelper;
import net.ibizsys.paas.core.IDEDBCallContext;
import net.ibizsys.paas.db.DBCallResult;
import net.ibizsys.paas.demodel.IDataEntityModel;
import net.ibizsys.paas.demodel.DEModelGlobal;
import net.ibizsys.paas.dao.DAOGlobal;
import net.ibizsys.paas.dao.IDAO;
import net.ibizsys.paas.entity.IEntity;
import net.ibizsys.psba.core.IBATableModel;
import javax.annotation.PostConstruct;

import ${pub.getPKGCodeName()}.srv.${de.getPSSystemModule().codeName?lower_case}.demodel.${de.codeName}DEModel;
import ${pub.getPKGCodeName()}.srv.${de.getPSSystemModule().codeName?lower_case}.entity.${de.codeName};

/**
 * 实体[${de.codeName}]大数据架构[${item.name}]DAO对象基类
 */
public abstract class ${item.getPSSysBDScheme().getShortCodeName()}${item.codeName}DAOBase extends ${pub.getPKGCodeName()}.srv.ba.${item.getPSSysBDScheme().codeName}DAOBase<${de.codeName}> {

   private static final long serialVersionUID = -1L;

   public ${item.getPSSysBDScheme().getShortCodeName()}${item.codeName}DAOBase(){
        super();
       
    }
   
   @PostConstruct  
   public void postConstruct() throws Exception{    
	   DAOGlobal.registerDAO(getDAOId(), this);
  }    

   	/* (non-Javadoc)
	 * @see net.ibizsys.psba.dao.BADAOBase#getDAOId()
	 */
	@Override
	 protected String getDAOId()
	 {
		 return "${pub.getPKGCodeName()}.srv.${de.getPSSystemModule().codeName?lower_case}.badao.${item.getPSSysBDScheme().getShortCodeName()}${item.codeName}DAO";
	 }
     
      private ${de.codeName}DEModel ${srfparamname('${de.codeName}')}DEModel;

      /**
  	 	* 获取实体[${de.codeName}]模型对象
  	 	* @return
  	 	*/
      public  ${de.codeName}DEModel get${de.codeName}DEModel() {
            if(this.${srfparamname('${de.codeName}')}DEModel==null){
                try
                {
                     this.${srfparamname('${de.codeName}')}DEModel = (${de.codeName}DEModel)DEModelGlobal.getDEModel("${pub.getPKGCodeName()}.srv.${de.getPSSystemModule().codeName?lower_case}.demodel.${de.codeName}DEModel");
                }
                catch(Exception ex)
                {
                }
            }
           return this.${srfparamname('${de.codeName}')}DEModel;
      }

      	/*
      	 * (non-Javadoc)
      	 * @see net.ibizsys.paas.dao.DAOBase#getDEModel()
      	 */
  		@Override
       public  IDataEntityModel getDEModel() {
          return this.get${de.codeName}DEModel();
      }



       private IBATableModel iBATableModel;

     /*
      	 * (non-Javadoc)
      	 * @see net.ibizsys.psba.dao.IBADAO#getBATableModel()
      	 */
  		@Override
      public IBATableModel getBATableModel() {
            if(this.iBATableModel==null){
                try
                {
                     this.iBATableModel = (IBATableModel) this.getBASchemeModel().getBATable("${item.name}",false);
                }
                catch(Exception ex)
                {
                }
            }
           return this.iBATableModel;
      }

	@Override
	public DBCallResult fetchDEDataQuery(ISelectContext iSelectContext, boolean bTempMode) throws Exception {
		// TODO Auto-generated method stub
		return null;
	}
}