<#ibiztemplate>
FILENAME=${item.codeName}.erm
PUBOBJ=SysERMapCode
</#ibiztemplate>
<?xml version="1.0" encoding="UTF-8"?>
<diagram>
	<page_setting>
		<direction_horizontal>true</direction_horizontal>
		<scale>100</scale>
		<paper_size>A4 210 x 297 mm</paper_size>
		<top_margin>30</top_margin>
		<left_margin>30</left_margin>
		<bottom_margin>30</bottom_margin>
		<right_margin>30</right_margin>
	</page_setting>
	<category_index>0</category_index>
	<zoom>1.0</zoom>
	<x>0</x>
	<y>0</y>
	<default_color>
		<r>128</r>
		<g>128</g>
		<b>192</b>
	</default_color>
	<color>
		<r>255</r>
		<g>255</g>
		<b>255</b>
	</color>
	<font_name>Microsoft YaHei UI</font_name>
	<font_size>9</font_size>
	<settings>
		<database>StandardSQL</database>
		<capital>false</capital>
		<table_style></table_style>
		<notation></notation>
		<notation_level>0</notation_level>
		<notation_expand_group>false</notation_expand_group>
		<view_mode>2</view_mode>
		<outline_view_mode>2</outline_view_mode>
		<view_order_by>1</view_order_by>
		<auto_ime_change>false</auto_ime_change>
		<validate_physical_name>true</validate_physical_name>
		<use_bezier_curve>false</use_bezier_curve>
		<suspend_validator>false</suspend_validator>
		<export_setting>
			<export_ddl_setting>
				<output_path></output_path>
				<encoding></encoding>
				<line_feed></line_feed>
				<is_open_after_saved>true</is_open_after_saved>
				<environment_id>null</environment_id>
				<category_id>null</category_id>
				<ddl_target>
					<create_comment>true</create_comment>
					<create_foreignKey>true</create_foreignKey>
					<create_index>true</create_index>
					<create_sequence>true</create_sequence>
					<create_table>true</create_table>
					<create_tablespace>true</create_tablespace>
					<create_trigger>true</create_trigger>
					<create_view>true</create_view>
					<drop_index>true</drop_index>
					<drop_sequence>true</drop_sequence>
					<drop_table>true</drop_table>
					<drop_tablespace>true</drop_tablespace>
					<drop_trigger>true</drop_trigger>
					<drop_view>true</drop_view>
					<inline_column_comment>true</inline_column_comment>
					<inline_table_comment>true</inline_table_comment>
					<comment_value_description>true</comment_value_description>
					<comment_value_logical_name>false</comment_value_logical_name>
					<comment_value_logical_name_description>false</comment_value_logical_name_description>
					<comment_replace_line_feed>false</comment_replace_line_feed>
					<comment_replace_string></comment_replace_string>
				</ddl_target>
			</export_ddl_setting>
			<export_excel_setting>
				<category_id>null</category_id>
				<output_path></output_path>
				<template></template>
				<template_path></template_path>
				<used_default_template_lang></used_default_template_lang>
				<image_output></image_output>
				<is_open_after_saved>true</is_open_after_saved>
				<is_put_diagram>true</is_put_diagram>
				<is_use_logical_name>true</is_use_logical_name>
			</export_excel_setting>
			<export_html_setting>
				<output_dir></output_dir>
				<with_category_image>true</with_category_image>
				<with_image>true</with_image>
				<is_open_after_saved>true</is_open_after_saved>
			</export_html_setting>
			<export_image_setting>
				<output_file_path></output_file_path>
				<category_dir_path></category_dir_path>
				<with_category_image>true</with_category_image>
				<is_open_after_saved>true</is_open_after_saved>
			</export_image_setting>
			<export_java_setting>
				<java_output></java_output>
				<package_name></package_name>
				<class_name_suffix></class_name_suffix>
				<src_file_encoding></src_file_encoding>
				<with_hibernate>false</with_hibernate>
			</export_java_setting>
			<export_testdata_setting>
				<file_encoding></file_encoding>
				<file_path></file_path>
				<format>0</format>
			</export_testdata_setting>
		</export_setting>
		<category_settings>
			<free_layout>false</free_layout>
			<show_referred_tables>false</show_referred_tables>
			<categories>
			</categories>
		</category_settings>
		<translation_settings>
			<use>false</use>
			<translations>
			</translations>
		</translation_settings>
		<model_properties>
			<id></id>
			<height>-1</height>
			<width>-1</width>
				<font_name>Microsoft YaHei UI</font_name>
				<font_size>9</font_size>
			<x>50</x>
			<y>50</y>
			<color>
				<r>255</r>
				<g>255</g>
				<b>255</b>
			</color>
			<connections>
			</connections>
			<display>false</display>
			<creation_date>2016-09-01 09:10:11</creation_date>
			<updated_date>2016-09-01 19:00:53</updated_date>
			<model_property>
				<name>Project Name</name>
				<value></value>
			</model_property>
			<model_property>
				<name>Model Name</name>
				<value></value>
			</model_property>
			<model_property>
				<name>Version</name>
				<value></value>
			</model_property>
			<model_property>
				<name>Company</name>
				<value></value>
			</model_property>
			<model_property>
				<name>Author</name>
				<value></value>
			</model_property>
		</model_properties>
		<table_properties>
			<schema></schema>
		</table_properties>
		<environment_setting>
			<environment>
				<id>0</id>
				<name>Default</name>
			</environment>
		</environment_setting>
	</settings>
	<dictionary>
<#assign dbtype='MYSQL'>
<#list sys.getAllPSSystemDBConfigs() as dbcfg>
<#assign dbtype=dbcfg.name>
<#break>
</#list>
<#if item.getPSSysERMapNodes()??>
<#list item.getPSSysERMapNodes() as node>
<#assign de=node.getPSDataEntity()>
<#list de.getPSDEFields() as def>
<#if def.isPhisicalDEField() >
<#assign col=def.getPSDTColumn(dbtype)>
	<word>
		<id>${publisher.getWordIndex(def)?c}</id>
		<length>${col.getLength()?c}</length>
		<decimal>null</decimal>
		<array>false</array>
		<array_dimension>null</array_dimension>
		<unsigned>false</unsigned>
		<zerofill>false</zerofill>
		<binary>false</binary>
		<args></args>
		<char_semantics>false</char_semantics>
		<description></description>
		<logical_name>${def.logicName}</logical_name>
		<physical_name>${def.name}</physical_name>
		<type>${col.getDBDataType()}</type>
	</word>
</#if>
</#list>
</#list>
</#if>
	</dictionary>
	<tablespace_set>
	</tablespace_set>
	<contents>
<#if item.getPSSysERMapNodes()??>
<#list item.getPSSysERMapNodes() as node>
<#assign de=node.getPSDataEntity()>
		<table>
			<id>${publisher.getTableIndex(de)?c}</id>
			<height>100</height>
			<width>300</width>
				<font_name>Microsoft YaHei UI</font_name>
				<font_size>9</font_size>
			<x>${node.leftPos?c}</x>
			<y>${node.topPos?c}</y>
			<color>
				<r>128</r>
				<g>128</g>
				<b>192</b>
			</color>
			<connections>
<#if de.getPSDER1Ns(false)??>
<#list de.getPSDER1Ns(false) as der>
				<relation>
					<id>${publisher.getLinkIndex(der)?c}</id>
					<source>${publisher.getTableIndex(der.getMinorPSDataEntity())?c}</source>
					<target>${publisher.getTableIndex(der.getMajorPSDataEntity())?c}</target>
						<source_xp>-1</source_xp>
						<source_yp>-1</source_yp>
						<target_xp>-1</target_xp>
						<target_yp>-1</target_yp>
						<color>
							<r>0</r>
							<g>0</g>
							<b>0</b>
						</color>
					<child_cardinality>1..n</child_cardinality>
					<parent_cardinality>1</parent_cardinality>
					<reference_for_pk>true</reference_for_pk>
					<name></name>
					<on_delete_action>RESTRICT</on_delete_action>
					<on_update_action>RESTRICT</on_update_action>
					<referenced_column>null</referenced_column>
					<referenced_complex_unique_key>null</referenced_complex_unique_key>
				</relation>
</#list>
</#if>
			</connections>
			<physical_name>${de.name}</physical_name>
			<logical_name>${de.logicName}</logical_name>
			<description></description>
			<constraint></constraint>
			<primary_key_name></primary_key_name>
			<option></option>
			<columns>
<#assign def =  de.getKeyPSDEField()>	
<#assign col=def.getPSDTColumn(dbtype)>		
				<normal_column>
					<word_id>${publisher.getWordIndex(def)?c}</word_id>
					<id>${publisher.getColumnIndex(def)?c}</id>
					<description></description>
					<unique_key_name></unique_key_name>
					<logical_name></logical_name>
					<physical_name></physical_name>
					<type>${col.getDBDataType()}</type>
					<constraint></constraint>
					<default_value></default_value>
					<auto_increment>false</auto_increment>
					<foreign_key><#if col.isFKey()>true<#else>false</#if></foreign_key>
					<not_null><#if col.isNullable()>true<#else>false</#if></not_null>
					<primary_key><#if col.isPKey()>true<#else>false</#if></primary_key>
					<unique_key><#if col.isPKey()>true<#else>false</#if></unique_key>
					<character_set></character_set>
					<collation></collation>
					<sequence>
						<name></name>
						<schema></schema>
						<increment></increment>
						<min_value></min_value>
						<max_value></max_value>
						<start></start>
						<cache></cache>
						<nocache>false</nocache>
						<cycle>false</cycle>
						<order>false</order>
						<description></description>
						<data_type></data_type>
						<decimal_size>0</decimal_size>
					</sequence>
				</normal_column>

<#list de.getPSDEFields() as def>
<#if def.isPhisicalDEField() >
<#assign col=def.getPSDTColumn(dbtype)>
<#if !col.isPKey() && def.getDataType()=='PICKUP'>
				<normal_column>
					<word_id>${publisher.getWordIndex(def)?c}</word_id>
					<id>${publisher.getColumnIndex(def)?c}</id>
					<#comment><referenced_column>${publisher.getColumnIndex(def.getRelatedPSDEField())?c}</referenced_column></#comment>
					<relation>${publisher.getLinkIndex(def.getPSDER())?c}</relation>
					<description></description>
					<unique_key_name></unique_key_name>
					<logical_name>${def.logicName}</logical_name>
					<physical_name>${def.name}</physical_name>
					<type>${col.getDBDataType()}</type>
					<constraint></constraint>
					<default_value></default_value>
					<auto_increment>false</auto_increment>
					<foreign_key>true</foreign_key>
					<not_null><#if col.isNullable()>true<#else>false</#if></not_null>
					<primary_key><#if col.isPKey()>true<#else>false</#if></primary_key>
					<unique_key><#if col.isPKey()>true<#else>false</#if></unique_key>
					<character_set></character_set>
					<collation></collation>
					<sequence>
						<name></name>
						<schema></schema>
						<increment></increment>
						<min_value></min_value>
						<max_value></max_value>
						<start></start>
						<cache></cache>
						<nocache>false</nocache>
						<cycle>false</cycle>
						<order>false</order>
						<description></description>
						<data_type></data_type>
						<decimal_size>0</decimal_size>
					</sequence>
				</normal_column>
</#if>
</#if>
</#list>
<#list de.getPSDEFields() as def>
<#if def.isPhisicalDEField() >
<#assign col=def.getPSDTColumn(dbtype)>
<#if !col.isPKey() && def.getDataType()!='PICKUP'>
				<normal_column>
					<word_id>${publisher.getWordIndex(def)?c}</word_id>
					<id>${publisher.getColumnIndex(def)?c}</id>
					<description></description>
					<unique_key_name></unique_key_name>
					<logical_name></logical_name>
					<physical_name></physical_name>
					<type>${col.getDBDataType()}</type>
					<constraint></constraint>
					<default_value></default_value>
					<auto_increment>false</auto_increment>
					<foreign_key><#if col.isFKey()>true<#else>false</#if></foreign_key>
					<not_null><#if col.isNullable()>true<#else>false</#if></not_null>
					<primary_key><#if col.isPKey()>true<#else>false</#if></primary_key>
					<unique_key><#if col.isPKey()>true<#else>false</#if></unique_key>
					<character_set></character_set>
					<collation></collation>
					<sequence>
						<name></name>
						<schema></schema>
						<increment></increment>
						<min_value></min_value>
						<max_value></max_value>
						<start></start>
						<cache></cache>
						<nocache>false</nocache>
						<cycle>false</cycle>
						<order>false</order>
						<description></description>
						<data_type></data_type>
						<decimal_size>0</decimal_size>
					</sequence>
				</normal_column>
</#if>
</#if>
</#list>
			</columns>
			<indexes>
			</indexes>
			<complex_unique_key_list>
			</complex_unique_key_list>
			<table_properties>
				<schema></schema>
			</table_properties>
		</table>
</#list>
</#if>
	</contents>
	<column_groups>
	</column_groups>
	<test_data_list>
	</test_data_list>
	<sequence_set>
	</sequence_set>
	<trigger_set>
	</trigger_set>
	<change_tracking_list>
	</change_tracking_list>
</diagram>