<#ibiztemplate>
FILENAME=${item.codeName}DynaDEModelBase.java
PUBOBJ=SysDynaDEModelCodeBase
MODELS=PSDYNADETEMPL
%PUBPKG%=${pub.getPKGCodeName()?replace('.','/')}
%MOD%=${item.getPSSystemModule().codeName?lower_case}
</#ibiztemplate>
package ${pub.getPKGCodeName()}.srv.${item.getPSSystemModule().codeName?lower_case}.demodel;

import org.hibernate.SessionFactory;
import ${pub.getPKGCodeName()}.srv.${item.getPSSystemModule().codeName?lower_case}.service.${item.codeName}DynaService;
import net.ibizsys.paas.service.IService;

/**
 * 动态实体[${item.name}]模型对象
 */
public abstract class ${item.codeName}DynaDEModelBase extends ${item.codeName}DEModelBase {

    private ${item.codeName}DynaService dynaService = null;
    public ${item.codeName}DynaDEModelBase() throws Exception{
        super();
   }

    
    @Override
    public boolean isDynaDETemplMode() {
	return true;
    } 

    /**
     * 获取实际实体服务对象
     * 
     * @return
     */
    public ${item.codeName}DynaService getDynaService() {
         if (this.dynaService == null) {
         try {
	   ${item.codeName}DynaService dynaService = new ${item.codeName}DynaService();
	   dynaService.init(this);
	   this.dynaService = dynaService;
         }catch(Exception ex){
         }
         }
         return this.dynaService;
    }


    @Override
    public IService getService() {
        return this.getDynaService();
    }
	
	
    @Override
    public IService getService(SessionFactory sessionFactory) throws Exception {
	return getDynaService();
    }
    
}