<#ibiztemplate>
FILENAME=${item.codeName}Service.java
PUBOBJ=SysDEServiceCode
MODELS=PSDATAENTITY
%PUBPKG%=${pub.getPKGCodeName()?replace('.','/')}
%MOD%=${item.getPSSystemModule().codeName?lower_case}
</#ibiztemplate>
package ${pub.getPKGCodeName()}.srv.${item.getPSSystemModule().codeName?lower_case}.service;


import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.springframework.stereotype.Component;



import net.ibizsys.paas.service.ServiceGlobal;

<#if item.getInheritPSDataEntity()??>
<#assign inheritde=item.getInheritPSDataEntity()>
</#if>
/**
 * 实体[${item.codeName}] 服务对象
 */
<#if inheritde??>
<#if item.getIndexDEType()=='INHERIT'>
public abstract class ${item.codeName}Service<ET extends ${item.getClassOrPkgName("ENTITY",pub)}> extends ${item.codeName}ServiceBase<ET>{
<#else>
@Component
public class ${item.codeName}Service extends ${item.codeName}ServiceBase{
</#if>
<#else>
<#if item.getIndexDEType()=='INHERIT'>
public abstract class ${item.codeName}Service<ET extends ${item.getClassOrPkgName("ENTITY",pub)}> extends ${item.codeName}ServiceBase<ET>{
<#else>
@Component
public class ${item.codeName}Service extends ${item.codeName}ServiceBase{
</#if>
</#if>

  private static final Log log = LogFactory.getLog(${item.codeName}Service.class);
   public ${item.codeName}Service (){
        super();
        
   }

}