<#assign deaction=item>
/**
 * 执行操作[${deaction.codeName}]
 */
public void ${srfmethodname('${deaction.codeName}')}(final ${entityname} ${srfparamname('${de.codeName}')}) throws Exception{
     if(this.isUseServiceAPI()){
	this.getServiceAPIClientModel().execute(this.getDEModel().getServiceAPIActionTag(IServiceAPIAction.ACTIONTYPE_DEACTION, ACTION_${deaction.name?upper_case}), ${srfparamname('${de.codeName}')});
	return;
     }
<#if publisher.hasCodePart("DEACTION_PREPAREPARAMS")>
    ${publisher.getCodePart("DEACTION_PREPAREPARAMS",item)}
</#if>
     update(new net.ibizsys.paas.service.ServiceUpdateParam<${entityname}>(){
			
			@Override
			public ${entityname} getEntity() {
				return ${srfparamname('${de.codeName}')};
			}
			
			@Override
			public void doBeforeAction(${entityname} et) throws Exception {
				onBefore${deaction.codeName}(et);
			}
			
			@Override
			public void doAfterAction(${entityname} et) throws Exception {
				onAfter${deaction.codeName}(et);
			}
                                
                                @Override
			public boolean isPrepareLast() {
				return isPrepareLastForUpdate();
			}

                                @Override
			public boolean isSysUpdate() {
				return true;
			}
		});
	}
	
	
	protected void onBefore${deaction.codeName}(final ${entityname} et) throws Exception {
		
	}
	
	
	protected void onAfter${deaction.codeName}(final ${entityname} et) throws Exception {
		
	}