<#ibiztemplate>
FILENAME=${item.codeName}DynaServiceBase.java
PUBOBJ=SysDynaDEModelCodeBase
MODELS=PSDYNADETEMPL
%PUBPKG%=${pub.getPKGCodeName()?replace('.','/')}
%MOD%=${item.getPSSystemModule().codeName?lower_case}
</#ibiztemplate>
package ${pub.getPKGCodeName()}.srv.${item.getPSSystemModule().codeName?lower_case}.service;


import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import net.ibizsys.paas.demodel.IDataEntityModel;
import net.ibizsys.ssdyna.demodel.IDynaDEModel;
import ${pub.getPKGCodeName()}.srv.${item.getPSSystemModule().codeName?lower_case}.entity.${item.codeName};

/**
 * 动态实体[${item.codeName}]服务对象基类
 */
public abstract class ${item.codeName}DynaServiceBase extends ${item.codeName}ServiceBase{

   private static final Log log = LogFactory.getLog(${item.codeName}DynaServiceBase.class);
   private IDynaDEModel<${item.codeName}> iDynaDEModel = null;
   public ${item.codeName}DynaServiceBase(){
        super();        
   }

   @Override
   public void init(IDynaDEModel<${item.codeName}> iDynaDEModel) throws Exception {
        this.iDynaDEModel  = iDynaDEModel ;
   }
	
   @Override
   public IDataEntityModel<${item.codeName}> getDEModel() {
        return this.iDynaDEModel;
   } 

}