<#ibiztemplate>
FILENAME=${item.codeName}APIClientModel.java
PUBOBJ=SubSysAPICode
MODELS=PSSUBSYSSERVICEAPI
%PUBPKG%=${pub.getPKGCodeName()?replace('.','/')}
</#ibiztemplate>
package ${pub.getPKGCodeName()}.srv.api;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.cloud.openfeign.FeignClientsConfiguration;
import org.springframework.context.annotation.Import;
import org.springframework.core.env.ConfigurableEnvironment;
import org.springframework.stereotype.Component;

import feign.Client;
import feign.Contract;
import feign.codec.Decoder;
import feign.codec.Encoder;

/**
 * 子系统服务API客户端[Core]基类
 *
 * !! 不要对此代码进行修改
 */
@Component
@Import(FeignClientsConfiguration.class)
public class ${item.codeName}APIClientModel extends ${item.codeName}APIClientModelBase {


	public ${item.codeName}APIClientModel() throws Exception {
		
	}

	@Autowired
	public ${item.codeName}APIClientModel(Decoder decoder, Encoder encoder, Client client, Contract contract,ConfigurableEnvironment env) throws Exception {
		super(decoder, encoder, client, contract,env);
	}
	 
}